CocoaTweet::OAuth::OAuth1 Class Reference

`#include <oauth.h>`

## Public Types

enum | AuthType { OAuth, Bearer }

## Public Member Functions

| OAuth1 ()
| OAuth1 (const Key _key)
std::map< std::string, std::string > | signature (const std::map< std::string, std::string > &_param, const std::string &_method, const std::string &_url)
const std::string & | generateBearerToken ()
const std::string | calculateAuthHeader (std::map< std::string, std::string > _bodyParam, const std::string &_method, const std::string &_url)
const std::string | nonce () const
const std::string | timestamp () const
const std::string | method () const
const std::string | version () const
const Key | key () const
std::map< std::string, std::string > | oauthParam () const
std::string | hmacSha1 (std::string _key, std::string _data)
const std::string | base64 (const std::string &_raw)

## Member Enumeration Documentation

## AuthType

enum CocoaTweet::OAuth::OAuth1::AuthType

Enumerator
OAuth |
Bearer |

## Constructor & Destructor Documentation

## OAuth1() [1/2]

CocoaTweet::OAuth::OAuth1::OAuth1 | ( |  | ) |

## OAuth1() [2/2]

CocoaTweet::OAuth::OAuth1::OAuth1 | ( | const Key | _key | ) |

## Member Function Documentation

## base64()

const std::string CocoaTweet::OAuth::OAuth1::base64 | ( | const std::string & | _raw | ) |

## calculateAuthHeader()

const std::string CocoaTweet::OAuth::OAuth1::calculateAuthHeader | ( | std::map< std::string, std::string > | _bodyParam,
|  | const std::string & | _method,
|  | const std::string & | _url
| ) |  |

## generateBearerToken()

const std::string & CocoaTweet::OAuth::OAuth1::generateBearerToken | ( |  | ) |

## hmacSha1()

std::string CocoaTweet::OAuth::OAuth1::hmacSha1 | ( | std::string | _key,
|  | std::string | _data
| ) |  |

## key()

const Key CocoaTweet::OAuth::OAuth1::key | ( |  | ) | const

## method()

const std::string CocoaTweet::OAuth::OAuth1::method | ( |  | ) | const

## nonce()

const std::string CocoaTweet::OAuth::OAuth1::nonce | ( |  | ) | const

## oauthParam()

std::map< std::string, std::string > CocoaTweet::OAuth::OAuth1::oauthParam | ( |  | ) | const

## signature()

std::map< std::string, std::string > CocoaTweet::OAuth::OAuth1::signature | ( | const std::map< std::string, std::string > & | _param,
|  | const std::string & | _method,
|  | const std::string & | _url
| ) |  |

## timestamp()

const std::string CocoaTweet::OAuth::OAuth1::timestamp | ( |  | ) | const

## version()

const std::string CocoaTweet::OAuth::OAuth1::version | ( |  | ) | const

The documentation for this class was generated from the following files:

- src/cocoatweet/oauth/oauth.h
- src/cocoatweet/oauth/oauth.cc